Skip to main content
GET
/
api
/
tags
Get Tags
curl --request GET \
  --url https://api.automatechats.com/api/tags \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.automatechats.com/api/tags"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.automatechats.com/api/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "tagId": "65e0bc51c12e4d70834b070e",
      "name": "VIP",
      "text_color": "#ffffff",
      "background_color": "#ef4444"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 42,
    "totalPages": 5
  }
}
{
"status": "error",
"code": 401,
"message": "Unauthorized access: Invalid or missing authentication credentials.",
"timestamp": "2026-05-18T15:00:00.000Z"
}
Use this endpoint to fetch all tags available in your workspace. You can use these tag IDs when creating or updating a contact to categorize them.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer
default:1

Page number for pagination (min: 1)

Required range: x >= 1
limit
integer
default:10

Number of tags per page (min: 1, max: 100)

Required range: 1 <= x <= 100

Search term to filter tags by name

createdBy
string

Filter tags by the ID of the user who created them

Response

Tags retrieved successfully

status
string
Example:

"success"

data
object[]
pagination
object